Bug 92999 - EDITING: Context Menu off the screen upon scrolling
Summary: EDITING: Context Menu off the screen upon scrolling
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.4.4.3 release
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Context-Menu
  Show dependency treegraph
 
Reported: 2015-07-29 14:03 UTC by Carlos Marques
Modified: 2021-02-25 04:09 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos Marques 2015-07-29 14:03:42 UTC
Calc: Context Menu attaches to the cursor and disappears of screen after scroll or selection of large number of lines.

Example:
Select 100 adjacent lines (using keyboard Ctrl+shift+down, not the mouse).  Try to show context menu pressing context menu key. The context menu does not show. It follows the intial cursor position which is now off the screen.
Comment 1 raal 2015-07-29 16:25:35 UTC
Reproducible with Version: 5.1.0.0.alpha1+
Build ID: 74d4168f8830f7bbec6b784c3fb774296d9adafa
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2015-07-22_06:14:00
Comment 2 QA Administrators 2016-09-20 10:21:18 UTC Comment hidden (obsolete)
Comment 3 Roman Kuznetsov 2019-02-25 19:52:23 UTC
(In reply to Carlos Marques from comment #0)
> Calc: Context Menu attaches to the cursor and disappears of screen after
> scroll or selection of large number of lines.
> 
> Example:
> Select 100 adjacent lines (using keyboard Ctrl+shift+down, not the mouse). 
> Try to show context menu pressing context menu key. The context menu does
> not show. It follows the intial cursor position which is now off the screen.

If it means "context menu key" on the keyboard then still repro in

Version: 6.3.0.0.alpha0+ (x64)
Build ID: 47c498417248444cab4e8f597ddeec4e0d585a71
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-02-21_08:39:21
Locale: ru-RU (ru_RU); UI-Language: en-US
Calc: threaded
Comment 4 QA Administrators 2021-02-25 04:09:21 UTC
Dear Carlos Marques,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug